import * as tslib_1 from "tslib";
import * as React from 'react';
import styled from 'styled-components';
import asRendition from '../asRendition';
import { radius } from '../theme';
import { px } from '../utils';
var Base = styled.select(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n\tborder-radius: ", ";\n\theight: ", ";\n\tfont-size: inherit;\n\tborder: 1px solid ", ";\n\tpadding-top: 0px;\n\tpadding-bottom: 0px;\n\tpadding-left: 16px;\n\tpadding-right: ", ";\n\tbackground-color: white;\n\tappearance: none;\n\twidth: 100%;\n\tmin-width: 90px;\n\n\t&:hover:enabled {\n\t\tbox-shadow: 0 0 4px 1px rgba(0, 0, 0, 0.1);\n\t}\n"], ["\n\tborder-radius: ", ";\n\theight: ",
    ";\n\tfont-size: inherit;\n\tborder: 1px solid ", ";\n\tpadding-top: 0px;\n\tpadding-bottom: 0px;\n\tpadding-left: 16px;\n\tpadding-right: ",
    ";\n\tbackground-color: white;\n\tappearance: none;\n\twidth: 100%;\n\tmin-width: 90px;\n\n\t&:hover:enabled {\n\t\tbox-shadow: 0 0 4px 1px rgba(0, 0, 0, 0.1);\n\t}\n"])), px(radius), function (props) {
    return px(props.emphasized ? props.theme.space[5] : props.theme.space[4]);
}, function (props) { return props.theme.colors.gray.main; }, function (props) {
    return px(props.emphasized ? props.theme.space[5] : props.theme.space[4]);
});
var Wrapper = styled.span(templateObject_2 || (templateObject_2 = tslib_1.__makeTemplateObject(["\n\tdisplay: inline-block;\n\tposition: relative;\n\n\t&::after {\n\t\tcontent: '';\n\t\twidth: 0;\n\t\theight: 0;\n\t\tborder-left: 4px solid transparent;\n\t\tborder-right: 4px solid transparent;\n\t\tborder-top: 5px solid ", ";\n\n\t\tposition: absolute;\n\t\tright: 16px;\n\t\ttop: ", ";\n\t}\n"], ["\n\tdisplay: inline-block;\n\tposition: relative;\n\n\t&::after {\n\t\tcontent: '';\n\t\twidth: 0;\n\t\theight: 0;\n\t\tborder-left: 4px solid transparent;\n\t\tborder-right: 4px solid transparent;\n\t\tborder-top: 5px solid ", ";\n\n\t\tposition: absolute;\n\t\tright: 16px;\n\t\ttop: ", ";\n\t}\n"])), function (props) { return props.theme.colors.gray.dark; }, function (props) { return px(props.emphasized ? 20 : 16); });
var Component = function (_a) {
    var children = _a.children, disabled = _a.disabled, emphasized = _a.emphasized, onChange = _a.onChange, value = _a.value, props = tslib_1.__rest(_a, ["children", "disabled", "emphasized", "onChange", "value"]);
    return (React.createElement(Wrapper, tslib_1.__assign({ emphasized: emphasized }, props),
        React.createElement(Base, { disabled: disabled, emphasized: emphasized, value: value === null ? undefined : value, onChange: onChange, children: children })));
};
export default asRendition(Component);
var templateObject_1, templateObject_2;
